
TYPO3.Flow - Bug # 40984

Status: Resolved Priority: Must have
Author: Pankaj Lele Category: Security
Created: 2012-09-17 Assigned To:
Updated: 2012-09-18 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: CsrfProtectionAspect fails with paginate view helper and empty f:link action argument
Description

When Paginate ViewHelper is used in any template FLOW3 fails while adding Csrf token to the pagination links. It fails even after
adding @FLOW3\SkipCsrfProtection as a known workaround for pagination.

Exact error seen is "The parameter class is expected to be either a string or an object ". With topmost backtrace lines as:

- ReflectionMethod::__construct(FALSE, "indexAction")

- TYPO3\FLOW3\Reflection\ReflectionService::getMethodAnnotations(FALSE, "indexAction",
"TYPO3\FLOW3\Annotations\SkipCsrfProtection")

- TYPO3\FLOW3\Reflection\ReflectionService::isMethodAnnotatedWith(FALSE, "indexAction",
"TYPO3\FLOW3\Annotations\SkipCsrfProtection")

One of the functional test for ViewHelper is also failing because of empty action.  
http://ci.typo3.robertlemke.net/job/Fluid-ViewHelperTest/lastCompletedBuild/testReport/

Associated revisions
Revision 4574114c - 2012-09-17 23:06 - Christian Müller

[BUGFIX] Cleanup CSRF protection issues

Change-Id: I83536f1edbdc259eec89b9c31b516c2cbc947268
Fixes: #40984
Releases: 1.2

Revision e1f227cb - 2012-09-18 21:13 - Karsten Dambekalns

[TASK] Adjust CsrfProtectionAspect unit test

Change-Id: I779d57aeab8cf01f198cadd85d63062be89235cd
Related: #40984
Releases: 1.2

History
#1 - 2012-09-17 10:50 - Karsten Dambekalns
- Target version set to 2.0 beta 1
http://ci.typo3.robertlemke.net/job/Fluid-ViewHelperTest/lastCompletedBuild/testReport/


#2 - 2012-09-17 12:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14655

#3 - 2012-09-17 12:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14655

#4 - 2012-09-17 23:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14655

#5 - 2012-09-17 23:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14655

#6 - 2012-09-18 20:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4574114c6c3e56be84b214c7993da87f036b18b4.
